Catalog - Revoke Acl From Database
Revokes an access control list (ACL) entry for the database from the Data Lake Analytics catalog.
POST https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/acl?op=REVOKEACE&api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
The Azure Data Lake Analytics account upon which to execute catalog operations. |
|
adla
|
path | True |
string |
Gets the DNS suffix used as the base for all Azure Data Lake Analytics Catalog service requests. |
|
database
|
path | True |
string |
The name of the database. |
|
api-version
|
query | True |
string |
Client Api Version. |
|
op
|
query | True |
string |
The constant value for the operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| aceType | True |
the access control list (ACL) entry type. UserObj and GroupObj denote the owning user and group, respectively. |
|
| principalId | True |
string (uuid) |
the Azure AD object ID of the user or group being specified in the access control list (ACL) entry. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully revoked the access control list (ACL) entry from the specified database. |
Examples
Revokes an access control list (ACL) entry for the database from the Data Lake Analytics catalog
Sample request
POST https://contosoadla.azuredatalakeanalytics.net/catalog/usql/databases/master/acl?op=REVOKEACE&api-version=2016-11-01
{
"aceType": "User",
"principalId": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345"
}
Sample response
Definitions
| Name | Description |
|---|---|
|
Acl |
The parameters used to delete an access control list (ACL) entry. |
|
Acl |
the access control list (ACL) entry type. UserObj and GroupObj denote the owning user and group, respectively. |
AclDeleteParameters
The parameters used to delete an access control list (ACL) entry.
| Name | Type | Description |
|---|---|---|
| aceType |
the access control list (ACL) entry type. UserObj and GroupObj denote the owning user and group, respectively. |
|
| principalId |
string (uuid) |
the Azure AD object ID of the user or group being specified in the access control list (ACL) entry. |
AclType
the access control list (ACL) entry type. UserObj and GroupObj denote the owning user and group, respectively.
| Value | Description |
|---|---|
| UserObj | |
| GroupObj | |
| Other | |
| User | |
| Group |